Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163504 - logitech firstmouse+(serial) wheelmouse does not work with fc4
Summary: logitech firstmouse+(serial) wheelmouse does not work with fc4
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-mouse
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-18 13:20 UTC by manish jain
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-14 22:28:10 UTC


Attachments (Terms of Use)

Description manish jain 2005-07-18 13:20:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
i have a C48 logitech firstmouse+(serial) wheelmouse. it works fine with my redhat 7.2 installation. on the same computer, i installed fc4 on another partition. at installation time itself, the mouse froze in X and i had to make a text install. after installation, i used mouseconfig to configure the mouse without success. mouseconfig detects the correct version of my mouse, but ends up complaining that inputattach could not set line discipline, following which gpm fails to start. i am using the IntelliMouse protocol with "ZAxiz 4 5" on both redhat 7.2 and fc4 (this is also the protocol chosen as default by mouseconfig on fc4, which further sets IMOUSETYPE to ms3 - there is no IMOUSETYPE in redhat 7.2's /etc/sysconfig/mouse). the mouse simply fails to start after that both on the console and in X. the input device in use on redhat 7.2 is /dev/mouse (symlinked to /dev/ttyS0), whereas fc4 uses /dev/input/mice. i manually tried editing /etc/sysconfig/mouse to directly force use of /dev/ttyS0 as the input device. after this the mouse starts working on the console, but froze in X. (however, it does reappear on the console once X is killed). changing the protocol to MouseMan and IMOUSETYPE to either of mman/mmw gets the mouse to jump wierdly all over the place in X drawing shaded rectangles and failing to respond to any clicks.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. attach a C48 logitech firstmouse+(serial) wheelmouse to fc4
2. run mouseconfig
3. check mouse response on the console and in X

  

Actual Results:  mouse cursor fails to appear on the console and freezes in X

Expected Results:  mouse should have behaved better

Additional info:

I use a celeron-800 MHz with an i810-based Tomato motherboard. fc4 is installed on /dev/hda4 and redhat 7.2 (with which the mouse works fine) is installed on /dev/hdb1

Comment 1 Paul Nasrat 2005-09-14 22:28:10 UTC
Serial mice aren't supported in the installer and for FC5 and later
system-config-mouse is going away.


Note You need to log in before you can comment on or make changes to this bug.